Update Your Buying Buddy WordPress Plugin

Article Contents

Follow these steps to upgrade your version of the Buying Buddy WordPress Plugin.

As with all WordPress plugins, when you look at the summary for all your "Plugins" in your WordPress dashboard, it will indicate if there is an update available.

Preparation

You must have at least WordPress version 4.5 to use V4 of the Buying Buddy plugin. Otherwise you will see error message similar to this: Fatal error: Call to undefined function wp_add_inline_script() in /home/charlies/public_html/wp-content/plugins/my-buying-buddy/includes/functions.php on line 184.

With the latest versions (V4+) of the Buying Buddy Plugin, it's important that you use the SHORTCODES and not HTML <div> tags for published widgets.

In your WordPress site, you should only use Buying Buddy Widget SHORTCODES. HTML <div> tags for Published Widgets are NOT supported and will not work with v4 of the Buying Buddy Plugin in WordPress. (This restriction does not apply to Widget Functions and Quick Widgets which should still be deployed as HTML).

For example:

  1. In your WordPress site, if you are using <div> tags to display properties with a Display Widget (list, gallery, map), then these will not longer work.
    You will need to change these to be WordPress shortcodes.
  2. If you have added widget <div> code to a sidebar or footer "Text Widget" then you need to change this and replace with an actual Buying Buddy Widget from the WordPress list of Widgets
  3. If you have added widget <div> code to your WordPress code base then you  will need to replace with do_shortcode()

Install / Update

  1. Download the latest version of the Buying Buddy Plugin to your PC.
  2. Deactivate the currently installed version of the Buying Buddy Plugin that is currently installed on your WordPress Website.
    You will not lose your settings or any widgets that you have added to your website.
    This picture shows two versions installed, and in this case we want to deactivate the older version.

  3. Upload the zip file of the Buying Buddy Plugin that you downloaded in step 1 and Activate the plugin.
  4. Update the Buying Buddy Plugin Settings
    Once new plugin is installed, you will be redirected to the Buying Buddy Plugin settings page
    • Enter your Account ID (ACID)
      (Or you can access settings in the WordPress admin menu by going to Settings > Buying Buddy )
  5. Ensure your Google Map API Key has been added to your Buying Buddy account
    You may optionally add the Map API Key to the plugin.
Updated on February 26, 2022

Was this article helpful?

Related Articles

Need Support?
Can't find the answer you're looking for?
Contact Support